From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sympy/
Date: Sat, 30 Jan 2016 15:47:08 +0000 (UTC) [thread overview]
Message-ID: <1454168825.da661fc9f247f8b46ab6ec86c92805eb12081cca.jlec@gentoo> (raw)
commit: da661fc9f247f8b46ab6ec86c92805eb12081cca
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 30 15:41:43 2016 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Jan 30 15:47:05 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da661fc9
dev-python/sympy: Better doc building and update virtualx.eclas usage
Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/sympy/sympy-0.7.6.1-r1.ebuild | 18 ++++++++++++------
dev-python/sympy/sympy-0.7.6.1.ebuild | 17 ++++++++++++-----
2 files changed, 24 insertions(+), 11 deletions(-)
diff --git a/dev-python/sympy/sympy-0.7.6.1-r1.ebuild b/dev-python/sympy/sympy-0.7.6.1-r1.ebuild
index 6a0f6dd..c69a900 100644
--- a/dev-python/sympy/sympy-0.7.6.1-r1.ebuild
+++ b/dev-python/sympy/sympy-0.7.6.1-r1.ebuild
@@ -1,11 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
PYTHON_COMPAT=( python{2_7,3_3,3_4} )
-DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
inherit distutils-r1 eutils virtualx
@@ -19,7 +18,7 @@ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-macos"
IUSE="doc examples gtk imaging ipython latex mathml opengl pdf png pyglet test texmacs theano"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
- doc? ( python_targets_python2_7 )"
+ doc? ( || ( $(python_gen_useflags 'python2*') ) )"
RDEPEND="
$(python_gen_cond_dep '>=dev-python/pexpect-2.0[${PYTHON_USEDEP}]' python2_7)
@@ -46,6 +45,10 @@ DEPEND="${RDEPEND}
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? ( ${RDEPEND} dev-python/pytest[${PYTHON_USEDEP}] )"
+pkg_setup() {
+ use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
python_prepare_all() {
epatch "${FILESDIR}"/${PN}-0.7.6-doc-makefile.patch
epatch "${FILESDIR}"/${P}-sphinx-1.3.1.patch
@@ -67,7 +70,7 @@ python_compile_all() {
}
python_test() {
- VIRTUALX_COMMAND="./setup.py" virtualmake test
+ virtx "${PYTHON}" setup.py test
}
python_install() {
@@ -77,8 +80,11 @@ python_install() {
python_install_all() {
local DOCS=( AUTHORS README.rst )
use doc &&\
- DOCS=( ${DOCS[*]} doc/_build/cheatsheet/cheatsheet.pdf doc/_build/cheatsheet/combinatoric_cheatsheet.pdf ) &&\
- local HTML_DOCS=( doc/_build/html/. ) &&\
+ DOCS+=(
+ doc/_build/cheatsheet/cheatsheet.pdf
+ doc/_build/cheatsheet/combinatoric_cheatsheet.pdf
+ ) && \
+ local HTML_DOCS=( doc/_build/html/. ) && \
doinfo doc/_build/texinfo/${PN}.info
use examples && local EXAMPLES=( examples/. )
distutils-r1_python_install_all
diff --git a/dev-python/sympy/sympy-0.7.6.1.ebuild b/dev-python/sympy/sympy-0.7.6.1.ebuild
index 15a78b6..6ae4e9f 100644
--- a/dev-python/sympy/sympy-0.7.6.1.ebuild
+++ b/dev-python/sympy/sympy-0.7.6.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -18,7 +18,7 @@ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-macos"
IUSE="doc examples gtk imaging ipython latex mathml opengl pdf png pyglet test texmacs theano"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
- doc? ( python_targets_python2_7 )"
+ doc? ( || ( $(python_gen_useflags 'python2*') ) )"
RDEPEND="
$(python_gen_cond_dep '>=dev-python/pexpect-2.0[${PYTHON_USEDEP}]' python2_7)
@@ -45,6 +45,10 @@ DEPEND="${RDEPEND}
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? ( ${RDEPEND} dev-python/pytest[${PYTHON_USEDEP}] )"
+pkg_setup() {
+ use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
python_prepare_all() {
epatch "${FILESDIR}"/${PN}-0.7.6-doc-makefile.patch
epatch "${FILESDIR}"/${P}-sphinx-1.3.1.patch
@@ -65,7 +69,7 @@ python_compile_all() {
}
python_test() {
- VIRTUALX_COMMAND="./setup.py" virtualmake test
+ virtx "${PYTHON}" setup.py test
}
python_install() {
@@ -75,8 +79,11 @@ python_install() {
python_install_all() {
local DOCS=( AUTHORS README.rst )
use doc &&\
- DOCS=( ${DOCS[*]} doc/_build/cheatsheet/cheatsheet.pdf doc/_build/cheatsheet/combinatoric_cheatsheet.pdf ) &&\
- local HTML_DOCS=( doc/_build/html/. ) &&\
+ DOCS+=(
+ doc/_build/cheatsheet/cheatsheet.pdf
+ doc/_build/cheatsheet/combinatoric_cheatsheet.pdf
+ ) && \
+ local HTML_DOCS=( doc/_build/html/. ) && \
doinfo doc/_build/texinfo/${PN}.info
use examples && local EXAMPLES=( examples/. )
distutils-r1_python_install_all
next reply other threads:[~2016-01-30 15:47 UTC|newest]
Thread overview: 87+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-30 15:47 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-02 19:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/sympy/ Michał Górny
2024-10-05 8:40 Arthur Zamarin
2024-09-19 4:27 Michał Górny
2024-08-31 10:35 Michał Górny
2024-08-31 9:43 Arthur Zamarin
2024-08-13 20:41 Michał Górny
2024-08-03 6:37 Michał Górny
2024-08-03 6:24 Michał Górny
2024-07-19 19:56 Michał Górny
2024-07-12 12:03 Michał Górny
2024-07-09 2:10 Michał Górny
2024-07-02 16:05 Michał Górny
2024-06-15 8:47 Arthur Zamarin
2024-06-10 13:07 Michał Górny
2024-05-30 4:03 Michał Górny
2024-05-08 8:18 Michał Górny
2023-12-24 5:59 Michał Górny
2023-11-25 20:47 Sam James
2023-11-21 19:05 Michał Górny
2023-11-21 13:36 Michał Górny
2023-11-17 7:57 Michał Górny
2023-11-17 7:57 Michał Górny
2023-11-10 12:48 Michał Górny
2023-06-27 7:54 Sam James
2023-05-27 13:33 Andrey Grozin
2023-04-22 16:36 Michał Górny
2023-04-22 15:55 Arthur Zamarin
2023-04-22 15:55 Arthur Zamarin
2023-02-19 19:46 Michał Górny
2022-10-03 6:50 Michał Górny
2022-09-23 1:35 Sam James
2022-08-31 18:07 Arthur Zamarin
2022-08-24 19:36 Arthur Zamarin
2022-04-10 9:55 Michał Górny
2022-04-10 9:05 Agostino Sarubbo
2022-03-21 8:54 Michał Górny
2022-03-07 3:51 Sam James
2021-12-30 21:30 Michał Górny
2021-12-30 18:50 Arthur Zamarin
2021-12-15 17:12 Andrew Ammerlaan
2021-12-14 19:52 Andrew Ammerlaan
2021-11-22 3:07 Yixun Lan
2021-10-26 10:36 Jakov Smolić
2021-05-12 7:13 Michał Górny
2021-05-11 10:02 Agostino Sarubbo
2021-04-10 12:03 Michał Górny
2021-04-10 12:03 Michał Górny
2021-01-26 15:49 Sam James
2021-01-26 15:19 Sam James
2021-01-06 22:30 Fabian Groffen
2020-12-24 13:56 Sam James
2020-12-20 6:29 Sam James
2020-12-13 12:15 Michał Górny
2020-12-12 23:56 Sam James
2020-11-29 19:37 Michał Górny
2020-11-24 14:36 Sam James
2020-11-24 14:36 Sam James
2020-10-27 19:58 Sam James
2020-10-27 5:11 Sam James
2020-09-18 15:53 Michał Górny
2020-09-16 7:13 Michał Górny
2020-08-31 15:35 Sam James
2020-08-31 14:15 Sam James
2020-08-31 13:49 Sam James
2020-08-30 23:18 Sam James
2020-08-22 8:09 Michał Górny
2020-08-11 13:43 Michał Górny
2020-08-02 19:05 Sam James
2020-03-22 12:12 Agostino Sarubbo
2020-03-17 8:08 Michał Górny
2020-03-09 13:44 Agostino Sarubbo
2020-01-31 16:49 Andrey Grozin
2020-01-16 6:05 Michał Górny
2020-01-10 15:08 Andrey Grozin
2019-12-28 11:57 罗百科
2019-12-04 17:15 Michał Górny
2017-07-26 20:07 Sebastien Fabbro
2017-05-15 13:51 Kacper Kowalik
2016-12-29 10:05 Agostino Sarubbo
2016-04-20 3:21 Michał Górny
2016-03-28 22:58 Kacper Kowalik
2016-03-28 13:05 Andrey Grozin
2016-03-28 13:03 Andrey Grozin
2016-01-30 13:21 Andrey Grozin
2015-12-21 14:24 Patrick Lauer
2015-12-01 6:45 Andrey Grozin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1454168825.da661fc9f247f8b46ab6ec86c92805eb12081cca.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox